searchData={"items":[{"type":"module","title":"InfisicalEx","doc":"InfisicalEx is a plugin for securely connecting and retrieving secrets from Infisical.\n\nThis module provides functionality to interact with the Infisical API,\nallowing Elixir applications to fetch and manage secrets seamlessly.","ref":"InfisicalEx.html"},{"type":"function","title":"InfisicalEx.get_all_secrets/0","doc":"Retrieves all secrets available for the project.\nUse the environment from the given param.","ref":"InfisicalEx.html#get_all_secrets/0"},{"type":"function","title":"Example - InfisicalEx.get_all_secrets/0","doc":"iex> InfisicalEx.get_all_secrets(\"dev\")\n    {:ok, %{\n      \"DATABASE_URL\" => \"ecto://postgres:xxxx@localhost:5432/postgres\",\n      \"GUARDIAN_SECRET_KEY\" => \"xxxxx\",\n      \"POSTGRES_PASSWORD\" => \"xxxx!\",\n      \"RELEASE_COOKIE\" => \"xxxxx\",\n      \"S3_ACCESS_KEY\" => \"xxxxx\",\n      \"S3_SECRET_KEY\" => \"xxxx\",\n      \"SECRET_KEY_BASE\" => \"xxxxx\",\n      \"TURNSTILE_SECRET_KEY\" => \"xxx\",\n      \"TURNSTILE_SITE_KEY\" => \"xxxx\"\n    }}","ref":"InfisicalEx.html#get_all_secrets/0-example"},{"type":"function","title":"InfisicalEx.get_all_secrets/1","doc":"Retrieves all secrets available for the project.","ref":"InfisicalEx.html#get_all_secrets/1"},{"type":"function","title":"Example - InfisicalEx.get_all_secrets/1","doc":"iex> InfisicalEx.get_all_secrets()\n    {:ok, %{\n      \"DATABASE_URL\" => \"ecto://postgres:xxxx@localhost:5432/postgres\",\n      \"GUARDIAN_SECRET_KEY\" => \"xxxxx\",\n      \"POSTGRES_PASSWORD\" => \"xxxx!\",\n      \"RELEASE_COOKIE\" => \"xxxxx\",\n      \"S3_ACCESS_KEY\" => \"xxxxx\",\n      \"S3_SECRET_KEY\" => \"xxxx\",\n      \"SECRET_KEY_BASE\" => \"xxxxx\",\n      \"TURNSTILE_SECRET_KEY\" => \"xxx\",\n      \"TURNSTILE_SITE_KEY\" => \"xxxx\"\n    }}","ref":"InfisicalEx.html#get_all_secrets/1-example"},{"type":"function","title":"InfisicalEx.get_secret/1","doc":"Retrieves a secret by its name from Infisical.\nTakes the environment from the config.","ref":"InfisicalEx.html#get_secret/1"},{"type":"function","title":"Example - InfisicalEx.get_secret/1","doc":"iex> InfisicalEx.get_secret(\"DATABASE_PASSWORD\")\n    {:ok, \"secret\"}\n\n    iex> InfisicalEx.get_secret(\"BAD_KEY\")\n    {:error,\n    %{\n      \"error\" => \"NotFound\",\n      \"message\" => \"Secret with name 'DATABASE_URL2' not found\",\n      \"reqId\" => \"req-90znAsRyfXUcUG\",\n      \"statusCode\" => 404\n    }}","ref":"InfisicalEx.html#get_secret/1-example"},{"type":"function","title":"InfisicalEx.get_secret/2","doc":"Retrieves a secret by its name from Infisical.\nTakes the environment from params.","ref":"InfisicalEx.html#get_secret/2"},{"type":"function","title":"Example - InfisicalEx.get_secret/2","doc":"iex> InfisicalEx.get_secret(\"DATABASE_PASSWORD\", \"prod\")\n    {:ok, \"secret\"}\n\n    iex> InfisicalEx.get_secret(\"DATABASE_PASSWORD\", \"bad_env\")\n    {:error,\n    %{\n      \"error\" => \"GetSecretByName\",\n      \"message\" => \"Folder with path '/' in environment with slug 'bad_env' not found\",\n      \"reqId\" => \"req-nzxiNt3LAAn0q4\",\n      \"statusCode\" => 404\n    }}","ref":"InfisicalEx.html#get_secret/2-example"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}